package com.sap.dbtech.jdbc.translators;

import java.io.*;


public class InputStreamFilter extends java.io.InputStream{
  private int maxlength;
  private InputStream ips;
  private int readlength = 0;

  public InputStreamFilter(InputStream ips, int length) {
    this.maxlength = length;
    this.ips = ips;
  }

  public int read() throws java.io.IOException {
     if (maxlength <= readlength++)
      return -1;
     else
      return ips.read();
  }
  public int read(byte[] b, int off, int len) throws java.io.IOException {
        if (b == null) {
            throw new NullPointerException();
        } else if ((off < 0) || (off > b.length) || (len < 0) ||
                   ((off + len) > b.length) || ((off + len) < 0)) {
            throw new IndexOutOfBoundsException();
        }
        if (readlength >= maxlength) {
            return -1;
        }
        if (readlength + len > maxlength) {
            len = maxlength - readlength;
        }
        if (len <= 0) {
            return 0;
        }
        len = this.ips.read(b, off, len);
        readlength += len;
        return len;  }
}